> For the complete documentation index, see [llms.txt](https://docs.filecoin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.filecoin.io/reference/general/legacy-content.md).

# Legacy Content

{% hint style="warning" %}
The content on this page describes tools, workflows, and projects that are **no longer actively maintained**. It is preserved for historical reference only.

For current guidance, see [Upload to Filecoin](/getting-started/how-storage-works/upload-to-filecoin.md), [PDP](/provide-storage/pdp.md), or [Build on Filecoin](/build-on-filecoin/getting-started.md).
{% endhint %}

## Smart contracts

### RaaS (Renew, Repair, Replicate as a Service)

RaaS was a smart-contract-based approach to automating storage deal renewal, repair, and replication on Filecoin. It supported both self-hosted and aggregator-hosted (via Lighthouse) architectures.

**Key resources:**

* [RaaS Starter Kit](https://github.com/filecoin-project/raas-starter-kit)
* [Lighthouse documentation](https://docs.lighthouse.storage/)

### Aggregated deal-making

A workflow for bundling many small data pieces into larger Filecoin deals using data aggregation and Proof of Data Segment Inclusion (PoDSI).

**Key resources:**

* [FRC-0058 — Proof of Data Segment Inclusion](https://github.com/filecoin-project/FIPs/blob/master/FRCs/frc-0058.md#proof-of-data-segment-inclusion)
* [Data segment specs discussion](https://github.com/filecoin-project/FIPs/discussions/512)
* [Filecoin Data Tools](https://github.com/application-research/fevm-data-segment)

### Cross-Chain Data Bridge (CCDB)

CCDB enabled EVM-compatible chains (Avalanche, Base, etc.) to initiate Filecoin storage deals via cross-chain messaging through Axelar.

**Key resources:**

* [onramp-contracts](https://github.com/FIL-Builders/onramp-contracts/)
* [xChainClient](https://github.com/FIL-Builders/xchainClient)
* [dataBridgeDemo](https://github.com/FIL-Builders/dataBridgeDemo)
* [Architecture deep-dive (Medium)](https://medium.com/@filoz/under-the-hood-architecture-and-prototype-of-cross-chain-data-storage-6f8ba2c480d6)

### Client contract tutorial

A tutorial on creating storage deals programmatically via FVM smart contracts using the deal-making starter kit.

**Key resources:**

* [FVM deal-making kit](https://github.com/filecoin-project/fvm-starter-kit-deal-making)
* [ETHGlobal walkthrough (YouTube)](https://www.youtube.com/watch?v=27EV3gQGY9k)

### Chain data query

A tutorial on querying Filecoin chain data from a dApp using ethers.js against a public Glif JSON-RPC endpoint. For current chain access, use the [Mainnet RPCs](/networks-and-tools/networks/mainnet/rpcs.md) or [Calibration RPCs](/networks-and-tools/networks/calibration/rpcs.md) and the [FEVM indexers](/build-on-filecoin/advanced/fevm-indexers.md) guidance.

## Projects

### Saturn

Saturn was a Web3 CDN in the Filecoin retrieval market, enabling fast content delivery from Filecoin storage providers. The project is no longer active.

For current retrieval guidance, see [Basic retrieval](/getting-started/how-retrieval-works/basic-retrieval.md) and [Serving retrievals](/getting-started/how-retrieval-works/serving-retrievals.md).

[Was this page helpful?](https://airtable.com/apppq4inOe4gmSSlk/pagoZHC2i1iqgphgl/form?prefill_Page+URL=https://docs.filecoin.io/reference/general/legacy-content)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.filecoin.io/reference/general/legacy-content.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
